 @echo off

cd /d %~dp0

:intro

::color is soft white and bright blue text
color 79
mode 100, 27

FOR %%G IN (.\gctools\txt\1\*.txt) DO (
type %%G
sleep .01
cls )

::color is soft white and black text
color 70

FOR %%G IN (.\gctools\txt\2\*.txt) DO (
type %%G
sleep .01
cls )

::color is soft white and soft green text
color 72

FOR %%G IN (.\gctools\txt\3\*.txt) DO (
type %%G
sleep .01
cls )

::color is soft white and bright blue text
color 79

FOR %%G IN (.\gctools\txt\4\*.txt) DO (
type %%G
sleep .01
cls )

type .\gctools\txt\106s.txt
echo/

:trickycheck

.\gctools\getvalue %1 0x0 >nul

SET trickyregion=%errorlevel%
SET nkitflag=0
SET grabchoice=0
set choice=0

IF %trickyregion%==1196643397 GOTO REGUSA
IF %trickyregion%==1196643408 GOTO REGEUR
IF %trickyregion%==1196643402 GOTO REGJP
IF %trickyregion%==29363121 GOTO NKITTEST
IF %trickyregion%==-2 GOTO NOFILE

echo Game not recognized.
echo/
pause

cls

mode 120, 30

echo ..
echo ...
echo ..
echo/

::color is black and bright white text
color 0f
echo/
type .\gctools\chibimet3.txt
echo/
echo/
echo   This iso/gcm is not valid! Please verify your game again for "SSX Tricky" or try a different region. 
echo   Check readme.txt for a list of valid checksums. Sorry for the inconvenience.
echo/
echo   For example, the correct MD5 checksum for "SSX Tricky (USA).iso" will be: 47C64F8E60ECD70161B772ADB7F25109
echo/
type .\gctools\chibimet1.txt
echo/
echo Press any key to exit.
echo/
PAUSE >nul && PAUSE
EXIT /B

:NOFILE

echo No game detected.
echo/
pause

cls
mode 120, 30

echo ..
echo ...
echo ..
echo/

::color is black and soft white text
color 07
echo/
type .\gctools\chibimet3.txt
echo/
echo/
echo   No game was detected, or no game was used correctly.
echo/
echo   Please drag a game onto this file. Press any key to exit.
echo/
type .\gctools\chibimet1.txt
echo/
echo/
PAUSE >nul && PAUSE
EXIT /B

:NKITTEST

 .\gctools\getvalue %1 0x4

SET trickyregion=%errorlevel%

IF %trickyregion%==-127266515 GOTO NKITREGUSA
IF %trickyregion%==-971702119 GOTO NKITREGEUR
IF %trickyregion%==417950293 GOTO NKITREGJP

echo No valid Nkit detected.
echo/
pause

cls
mode 120, 30

echo ..
echo ...
echo ..
echo/

::color is black and bright white text
color 0f
echo/
type .\gctools\chibimet3.txt
echo/
echo/
echo   This NKIT is not valid or supported! Please verify your game again for "SSX Tricky" or try a different region.
echo   Check readme.txt for a list of valid checksums. Sorry for the inconvenience.
echo/
echo   For example, the correct MD5 checksum for "SSX Tricky (USA).nkit.gcz" will be: 5FDFB5A9C5CC20098823F965FDCAB8C4
echo/
type .\gctools\chibimet1.txt
echo/
echo Press any key to exit.
echo/
PAUSE >nul && PAUSE
EXIT /B

:REGUSA
SET trickyregion=USA
echo Game: SSX Tricky (USA) [GCM/ISO]
echo/
pause

mode 120, 30

cls
::color black and bright blue text
color 0b

echo ..
echo/
echo SSX Tricky (USA) [GCM/ISO]
echo/
GOTO PGMSTART

:REGEUR
SET trickyregion=Europe
echo Game: SSX Tricky (Europe) [GCM/ISO]
echo/
pause

mode 120, 30

cls
::color black and bright blue text
color 0b

echo ..
echo/
echo SSX Tricky (Europe) [GCM/ISO]
echo/
GOTO PGMSTART

:REGJP
SET trickyregion=Japan
echo Game: SSX Tricky (Japan) [GCM/ISO]
echo/
pause

mode 120, 30

cls
::color black and bright blue text
color 0b

echo ..
echo/
echo SSX Tricky (Japan) [GCM/ISO]
echo/
GOTO PGMSTART

:NKITREGUSA
SET trickyregion=USA
SET nkitflag=1
echo Game: SSX Tricky (USA) [NKIT]
echo/
pause

mode 120, 30

cls
::color black and bright green text
color 0a

echo/
echo .. SSX Tricky (USA) [NKIT]
echo NKIT detected. Nkit conversion will be attempted first.
echo Press [ctrl]+[c] to cancel at any time.
GOTO PGMSTART

:NKITREGEUR
SET trickyregion=Europe
SET nkitflag=1
echo Game: SSX Tricky (Europe) [NKIT]
echo/
pause

mode 120, 30

cls
::color black and bright green text
color 0a

echo/
echo .. SSX Tricky (Europe) [NKIT]
echo NKIT detected. Nkit conversion will be attempted first.
echo Press [ctrl]+[c] to cancel at any time.
GOTO PGMSTART

:NKITREGJP
SET trickyregion=Japan
SET nkitflag=1
echo Game: SSX Tricky (Japan) [NKIT]
echo/
pause

mode 120, 30

cls
::color black and bright green text
color 0a

echo/
echo .. SSX Tricky (Japan) [NKIT]
echo NKIT detected. Nkit conversion will be attempted first.
echo Press [ctrl]+[c] to cancel at any time.
GOTO PGMSTART


:PGMSTART

echo/
echo This patch creates a new 4-button mod for SSX Tricky for GameCube.
echo/
echo Please select one of the following.
echo/
echo 1. PS2 Grabs Fix
echo/
echo  This controller setting changes all the grabs to match the PS2 version of Tricky.
echo  The GameCube's "X" button becomes L1. You need to remap your controller's L1 button in Dolphin
echo  to the "X" button. Choose the "Default" controller setting in Tricky to use "PS2 Grabs" with this option.
echo    **Select this option to play using a controller with 4 shoulder buttons, or to play using the original grab combos.
echo/
echo 2. Pro Grabs Mod
echo/
echo  This controller setting changes 4-button grabs to be comfortable for controllers with 3 shoulder buttons.
echo  The "X" button becomes the 4th grab button. Use the X button in combination with L, R, and Z, to grab.
echo  The "A" button acts as a trick (tweak) modifier, in addition to jump. Be careful! You can activate ubers using "A".
echo  Choose the "Pro" controller setting in Tricky to use "Pro Grabs" with this option.
echo    **Select this option if you are using a GameCube controller, or a controller with 3 shoulder buttons.
echo/
echo 3. PS2 Grabs Fix + Pro Grabs Mod
echo/
echo  PS2 Grabs will become the "Default" controller setting, while Pro Grabs will become the "Pro" controller setting.
echo    **Select this option if you switch between different controllers.

sleep .1 
echo/
choice /C 123 /N /M "(Press Ctrl+C to cancel.) [1,2,3]?"
IF %errorlevel%==0 EXIT /B

SET _temp=%errorlevel%
IF %_temp%==1 SET grabchoice=1
IF %_temp%==2 SET grabchoice=2
IF %_temp%==3 SET grabchoice=3
echo/
echo/

IF %grabchoice%==1 SET "choice=PS2 Grabs Fix"
IF %grabchoice%==2 SET "choice=Pro Mod"
IF %grabchoice%==3 SET "choice=PS2 Grabs Fix + Pro Mod"

IF %nkitflag%==0 GOTO STARTGCM


:STARTNKIT

echo/
echo/ %choice% selected.

echo/
echo Converting NKIT to GCM. Please press "Enter" after conversion to continue.
echo/
echo/

::don't remove these three. necessary so proper IF EXIST checks can pass.
del /Q ".\gctools\Processed\GameCube\SSX Tricky (USA).iso" 2>nul

del /Q ".\gctools\Processed\GameCube\SSX Tricky (Europe) (En,Fr,De).iso" 2>nul

del /Q ".\gctools\Processed\GameCube\SSX Tricky (Japan).iso" 2>nul

echo/
.\gctools\ConvertToISO.exe %1

echo/
IF EXIST ".\gctools\Processed\GameCube\*.iso" GOTO NKITSUCCESS

:NKITFAIL
echo/
echo This file appears to be invalid, or something is preventing it from completing successfully.
echo Try manual conversion by running "ConvertToISO.exe nameofyourgamehere.iso" in a command prompt in this folder.
echo (Go to the folder bar at the top of the explorer window and type in "cmd" and hit enter to pull up a command prompt.)
echo/
echo Press any key to exit.
echo/
PAUSE >nul && PAUSE
EXIT /B

:NKITSUCCESS
echo File exists. Conversion successful. Moving game (1/2)...
echo/
echo/

MD ".\SSX Tricky (unmodded)"

MOVE /Y ".\gctools\Processed\GameCube\*.iso" ".\SSX Tricky (unmodded)"

echo/
echo/ Patching game (2/2)...
echo/

IF %trickyregion%==USA GOTO NKITUSA

IF %trickyregion%==Europe GOTO NKITEUR

IF %trickyregion%==Japan GOTO NKITJP


:NKITUSA

IF %grabchoice%==2 GOTO kitUpro
IF %grabchoice%==3 GOTO kitUps2pro

echo Creating SSX Tricky (USA) PS2 Grabs Fix

.\gctools\xdelta3.exe -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (USA).iso" .\gctools\ssx_tricky_us_ps2_fix.xdelta3

GOTO NKITEND

:kitUpro

echo Creating SSX Tricky (USA) Pro Mod

.\gctools\xdelta3.exe -q -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (USA).iso" .\gctools\ssx_tricky_us_pro_mod.xdelta3

GOTO NKITEND

:kitUps2pro

echo Creating SSX Tricky (USA) PS2 Grabs Fix + Pro Mod

.\gctools\xdelta3.exe -q -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (USA).iso" .\gctools\ssx_tricky_us_ps2_fix_pro_mod.xdelta3

GOTO NKITEND


:NKITEUR

IF %grabchoice%==2 GOTO kitEpro
IF %grabchoice%==3 GOTO kitEps2pro

echo Creating SSX Tricky (Europe) PS2 Grabs Fix

.\gctools\xdelta3.exe -q -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (Europe) (En,Fr,De).iso" .\gctools\ssx_tricky_eu_ps2_fix.xdelta3

GOTO NKITEND

:kitEpro

echo Creating SSX Tricky (Europe) Pro Mod

.\gctools\xdelta3.exe -q -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (Europe) (En,Fr,De).iso" .\gctools\ssx_tricky_eu_pro_mod.xdelta3

GOTO NKITEND

:kitEps2pro

echo Creating SSX Tricky (Europe) PS2 Grabs Fix + Pro Mod

.\gctools\xdelta3.exe -q -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (Europe) (En,Fr,De).iso" .\gctools\ssx_tricky_eu_ps2_fix_pro_mod.xdelta3

GOTO NKITEND


:NKITJP

IF %grabchoice%==2 GOTO kitJpro
IF %grabchoice%==3 GOTO kitJps2pro

echo Creating SSX Tricky (Japan) PS2 Grabs Fix

.\gctools\xdelta3.exe -q -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (Japan).iso" .\gctools\ssx_tricky_jp_ps2_fix.xdelta3

GOTO NKITEND

:kitJpro

echo Creating SSX Tricky (Japan) Pro Mod

.\gctools\xdelta3.exe -q -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (Japan).iso" .\gctools\ssx_tricky_jp_pro_mod.xdelta3

GOTO NKITEND

:kitJps2pro

echo Creating SSX Tricky (Japan) PS2 Grabs Fix + Pro Mod

.\gctools\xdelta3.exe -q -d -fs ".\SSX Tricky (unmodded)\SSX Tricky (Japan).iso" .\gctools\ssx_tricky_jp_ps2_fix_pro_mod.xdelta3

GOTO NKITEND


:NKITEND

echo/
echo/
::echo                              It's T R I C K A A A Y!
::echo/

echo ****************************
echo/
echo     Done! Look in your folder for "SSX Tricky (%trickyregion%) %choice%."
echo/
echo     You can play it using Dolphin or by loading it onto your Wii or Gamecube.
echo     Please make sure your controller is mapped accordingly and confirm your controller setting in-game.
echo/
echo/
echo Press any key to exit.
echo/

PAUSE >nul && PAUSE

EXIT /B


:STARTGCM

IF %trickyregion%==USA GOTO GCMUSA

IF %trickyregion%==Europe GOTO GCMEUR

IF %trickyregion%==Japan GOTO GCMJP

:GCMUSA

IF %grabchoice%==2 GOTO gcmUpro
IF %grabchoice%==3 GOTO gcmUps2pro

echo Creating SSX Tricky (USA) PS2 Grabs Fix

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_us_ps2_fix.xdelta3

GOTO GCMEND

:gcmUpro

echo Creating SSX Tricky (USA) Pro Mod

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_us_pro_mod.xdelta3

GOTO GCMEND

:gcmUps2pro

echo Creating SSX Tricky (USA) PS2 Grabs Fix + Pro Mod

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_us_ps2_fix_pro_mod.xdelta3

GOTO GCMEND


:GCMEUR

IF %grabchoice%==2 GOTO gcmEpro
IF %grabchoice%==3 GOTO gcmEps2pro

echo Creating SSX Tricky (Europe) PS2 Grabs Fix

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_eu_ps2_fix.xdelta3

GOTO GCMEND

:gcmEpro

echo Creating SSX Tricky (Europe) Pro Mod

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_eu_pro_mod.xdelta3

GOTO GCMEND

:gcmEps2pro

echo Creating SSX Tricky (Europe) PS2 Grabs Fix + Pro Mod

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_eu_ps2_fix_pro_mod.xdelta3

GOTO GCMEND


:GCMJP

IF %grabchoice%==2 GOTO gcmJpro
IF %grabchoice%==3 GOTO gcmJps2pro

echo Creating SSX Tricky (Japan) PS2 Grabs Fix

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_jp_ps2_fix.xdelta3

GOTO GCMEND

:gcmJpro

echo Creating SSX Tricky (Japan) Pro Mod

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_jp_pro_mod.xdelta3

GOTO GCMEND

:gcmJps2pro

echo Creating SSX Tricky (Japan) PS2 Grabs Fix + Pro Mod

.\gctools\xdelta3.exe -q -d -fs %1 .\gctools\ssx_tricky_jp_ps2_fix_pro_mod.xdelta3

GOTO GCMEND


:GCMEND

echo/
echo/
::echo                              It's T R I C K A A A Y!
::echo/

echo ****************************
echo/
echo     Done! Look in your folder for "SSX Tricky (%trickyregion%) %choice%."
echo/
echo     You can play it using Dolphin or by loading it onto your Wii or Gamecube.
echo     Please make sure your controller is mapped accordingly and confirm your controller setting in-game.
echo/
echo/
echo Press any key to exit.
echo/

PAUSE >nul && PAUSE

EXIT /B
